Subject: Re: bug#34976: [debbugs.el] debbugs-read-emacs-bug-with-gnus sets user options

From: Michael Albinus <[email-masked]>
Date: Mon, 25 Mar 2019 19:55:12 +0100

"Basil L. Contovounesios" <[email-masked]> writes:

Hi Basil,

> I still don't see how the proposed user option would save Lars in that
> case.  When Debbugs sets the gnus-* variables, these changes are not
> isolated to Debbugs ephemeral groups, but affect Gnus globally.  One
> would have to use different Emacs instances for each of Debbugs and Gnus
> in order for these settings to not interfere with one another.  Right?

For gnus-suppress-duplicates you are right. I would change the global
setting into a local let-bind.

gnus-save-duplicate-list has effect only when Gnus is exited. I
understand it such a way, that Lars wants to save the list of such
duplicate entries from the gnus-ephemeral group created by
debbugs. Using Gnus outside debbugs doesn't need this setting. So it
makes sense to set gnus-save-duplicate-list globally, for Lars.

Best regards, Michael.